[evolvis-commits] r18063: small-fixes pending merges:↵ Thorsten Glaser 2012-01-20 support pre-r10440(small-fixes branch) upgrades:

mirabilos at evolvis.org mirabilos at evolvis.org
Fri Jan 20 18:11:28 CET 2012


Author: mirabilos
Date: 2012-01-20 18:11:28 +0100 (Fri, 20 Jan 2012)
New Revision: 18063

Added:
   trunk/gforge_base/evolvisforge-5.1/src/debian/fusionforge-plugin-scmgit.preinst
Log:
small-fixes pending merges:
  Thorsten Glaser 2012-01-20 support pre-r10440(small-fixes branch) upgrades:


Added: trunk/gforge_base/evolvisforge-5.1/src/debian/fusionforge-plugin-scmgit.preinst
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/src/debian/fusionforge-plugin-scmgit.preinst	                        (rev 0)
+++ trunk/gforge_base/evolvisforge-5.1/src/debian/fusionforge-plugin-scmgit.preinst	2012-01-20 17:11:28 UTC (rev 18063)
@@ -0,0 +1,40 @@
+#!/bin/sh
+# preinst script for fusionforge-plugin-scmgit
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case $1 in
+install|upgrade)
+	# replace symlink accident with directory
+	if test -h /usr/share/gforge/www/plugins/scmgit; then
+		rm -f /usr/share/gforge/www/plugins/scmgit
+		mkdir /usr/share/gforge/www/plugins/scmgit
+	fi
+	;;
+
+abort-upgrade)
+	;;
+
+*)
+	echo "preinst called with unknown argument \`$1'" >&2
+	exit 1
+	;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0



More information about the evolvis-commits mailing list